javax.ws.rs.ext

## Interface ParamConverterProvider

-     public interface ParamConverterProvider

  Contract for a provider of `ParamConverter` instances.

  Providers implementing `ParamConverterProvider` contract must be either programmatically registered in a JAX-RS runtime or must be annotated with `@Provider` annotation to be automatically discovered by the JAX-RS runtime during a provider scanning phase.

  Since:
    2.0
  Author:
    Marek Potociar

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ParamConverter<T>` | `getConverter(Class<T> rawType, Type genericType, Annotation[] annotations)` Obtain a `ParamConverter` that can provide from/to string conversion for an instance of a particular Java type.

- - ### Method Detail

    - #### getConverter

          <T> ParamConverter<T> getConverter(Class<T> rawType,
                                           Type genericType,
                                           Annotation[] annotations)

      Obtain a `ParamConverter` that can provide from/to string conversion for an instance of a particular Java type.
      Type Parameters:
        `T` - the supported Java type convertible to/from a `String` format.
      Parameters:
        `rawType` - the raw type of the object to be converted.
        `genericType` - the type of object to be converted. E.g. if an String value representing the injected request parameter is to be converted into a method parameter, this will be the formal type of the method parameter as returned by `Class.getGenericParameterTypes`.
        `annotations` - an array of the annotations associated with the convertible parameter instance. E.g. if a string value is to be converted into a method parameter, this would be the annotations on that parameter as returned by `Method.getParameterAnnotations()`.
      Returns:
        the string converter, otherwise `null`.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.